<?php class EModal_View_Admin_Addons extends EModal_View {
	public function output()
	{
		extract($this->values);?>
		<div class="wrap">
			<h2><?php esc_html_e(__($title, EMCORE_SLUG) );?></h2>
			<div id="poststuff">
				<div id="post-body" class="metabox-holder columns-2">
					<div id="post-body-content"><?php
					    $addons = EModal_License::available_addons();?>
					    <ul class="addons-available">
					        <?php
							$plugins = get_plugins();
							$installed_plugins = array();
							foreach($plugins as $key => $plugin){
								$is_active = is_plugin_active($key);
								$installed_plugin = array(
									'is_active' => $is_active
								);
								$installerUrl = add_query_arg(
									array(
										'action' => 'activate',
										'plugin' => $key,
										'em' => 1
									),
									network_admin_url('plugins.php')
									//admin_url('update.php')
								);
								$installed_plugin["activation_url"] = $is_active ? "" : wp_nonce_url($installerUrl, 'activate-plugin_' . $key);


								$installerUrl = add_query_arg(
									array(
										'action' => 'deactivate',
										'plugin' => $key,
										'em' => 1
									),
									network_admin_url('plugins.php')
									//admin_url('update.php')
								);
								$installed_plugin["deactivation_url"] = !$is_active ? "" : wp_nonce_url($installerUrl, 'deactivate-plugin_' . $key);
								$installed_plugins[$key] = $installed_plugin;
							}

					        foreach($addons as $addon) :?>
					        <li class="available-addon-inner">
					            <h3><?php esc_html_e($addon->name)?></h3>
					            <img class="addon-thumbnail" src="<?php esc_attr_e($addon->image_url)?>">
					            <p><?php esc_html_e($addon->addon_description)?></p>
					            <hr/><?php
					            if(!empty($addon->download_url) && !isset($installed_plugins[$addon->slug.'/'.$addon->slug.'.php']))
					            {
									$installerUrl = add_query_arg(
										array(
											'action' => 'install-plugin',
											'plugin' => $addon->slug,
											'em' => 1
										),
										network_admin_url('update.php')
										//admin_url('update.php')
									);
									$installerUrl = wp_nonce_url($installerUrl, 'install-plugin_' . $addon->slug)?>
					                <span class="action-links"><?php
									printf(
										'<a class="button install" href="%s">%s</a>',
										esc_attr($installerUrl),
										__('Install', EMCORE_SLUG)
									);?>
									</span><?php
					            }
					            elseif(isset($installed_plugins[$addon->slug.'/'.$addon->slug.'.php']['is_active']))
				            	{?>
					                <span class="action-links"><?php
					            		if(!$installed_plugins[$addon->slug.'/'.$addon->slug.'.php']['is_active'])
					            		{
											printf(
												'<a class="button install" href="%s">%s</a>',
												esc_attr($installed_plugins[$addon->slug.'/'.$addon->slug.'.php']["activation_url"]),
												__('Activate', EMCORE_SLUG)
											);

					            		}
					            		else
					            		{
											printf(
												'<a class="button install" href="%s">%s</a>',
												esc_attr($installed_plugins[$addon->slug.'/'.$addon->slug.'.php']["deactivation_url"]),
												__('Deactivate', EMCORE_SLUG)
											);
					            		}?>
									</span><?php
				            	}
				            	else
				            	{
					                ?><div class="addon-upgrade"><span class="action-links"><?php
					                if($addon->required_license == 'developer')
					                {
					                    _e('This add on requires a Pro Developer License.', EMCORE_SLUG);
					                }
					                else
					                {
					                    _e('This add on requires a Pro License.', EMCORE_SLUG);
					                }
					                ?></span></div>
					                <span class="action-links"><a class="button" target="_blank" href="https://easy-modal.com/pricing"><?php _e('Upgrade', EMCORE_SLUG);?></a></span><?php
					            }?>
					            <a href="<?php echo esc_url($addon->homepage);?>" target="_blank"><?php _e('View the entire Add On Specs', EMCORE_SLUG);?></a>
					        </li>
					        <?php endforeach;?>
					    </ul>
					</div>
					<div id="postbox-container-1" class="postbox-container">
						<div class="meta-box-sortables ui-sortable" id="side-sortables">
							<?php do_action('emodal_admin_sidebar');?>
						</div>
					</div>
				</div>
				<br class="clear"/>
			</div>
		</div><?php
	}
}